Skip to main content
PUT
/
api
/
ap-invoices
/
{invoice_uid}
Update AP invoice
curl --request PUT \
  --url https://dev.exante.app/api/ap-invoices/{invoice_uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoice_number": "<string>",
  "issue_date": "2023-12-25",
  "due_date": "2023-12-25",
  "stamp_number": "<string>",
  "vendor_nit": "<string>",
  "vendor_name": "<string>",
  "received_date": "2023-12-25",
  "document_type": "<string>",
  "amount_due": 123
}
'
Updates an accounts payable invoice and its related invoice fields. Send only the fields you want to change. Requires the edit_invoice permission. Only invoices of type ACCOUNTS_PAYABLE can be updated through this endpoint.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uid
string<uuid>
required

Invoice UID

Body

application/json
invoice_number
string
issue_date
string<date>
due_date
string<date>
stamp_number
string
vendor_nit
string
vendor_name
string
received_date
string<date>
document_type
string
amount_due
number

Response

Invoice updated